Name:           xautomation
Version:        1.05
Release:        %mkrel 1
Summary:        Control X from the command line
Group:          System/X11
License:        GPLv2
URL:            http://hoopajoo.net/projects/xautomation.html
Source:         http://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz

BuildRequires:  libx11-devel
BuildRequires:  libxtst-devel
BuildRequires:  libpng-devel

%description
Control X from the command line for scripts, and do "visual scraping" to find
things on the screen. The control interface allows mouse movement, clicking,
button up/down, key up/down, etc, and uses the XTest extension so you don't
have the annoying problems that xse has when apps ignore sent events. The
visgrep program find images inside of images and reports the coordinates,
allowing programs to find buttons, etc, on the screen to click on.


%prep
%setup -q

%build
export X_LIBS=-lX11
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc README INSTALL NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man[17]/*


%changelog

* Sun Jan 29 2012 kamil <kamil> 1.05-1.mga2
+ Revision: 202907
- fix typos in the description
- new version 1.05
- add %%doc files (README, INSTALL, NEWS, AUTHORS)
- clean .spec

* Sun Sep 18 2011 fwang <fwang> 1.04-2.mga2
+ Revision: 144971
- rebuild for new libpng

* Tue Sep 06 2011 tv <tv> 1.04-1.mga2
+ Revision: 139818
- new release

* Tue May 03 2011 ahmad <ahmad> 1.03-2.mga1
+ Revision: 94447
- imported package xautomation

